> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/4.-dotaz-ziskat-definovany-satelliteimage.md).

# 4. Dotaz: Získat definovaný „SatelliteImage“

Získejte definovaný „SatelliteImage“ pro „Field“.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
dotaz GetFieldSatelliteImagesViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    název
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      název
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelitniSnímek {
          uuid
          acquisitionDate
          provider
        }
        plochaBezMraku
        geoMaps {
          krátkýNázev
          url
          classes
          hexColorCodes
        }
        prumerNDVI
        
        statistiky {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        doporučenoProPěstitelskouAnalýzuNaVíceLet 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
dotaz GetFieldSatelliteImagesViaGetFields {
  ziskejPozemky (filtr: {uuidPozemku: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      název
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelitniSnímek {
          uuid
          acquisitionDate
          provider
        } 
        plochaBezMraku
        geoMaps {
          krátkýNázev
          url
          classes
          hexColorCodes
        }
        prumerNDVI
        
        statistiky {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        doporučenoProPěstitelskouAnalýzuNaVíceLet
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/4.-dotaz-ziskat-definovany-satelliteimage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
